{
    "name": "",
    "description": "",
    "spec": [
        {
            "question_name": "Windows Admin Password",
            "question_description": "",
            "required": true,
            "type": "password",
            "variable": "windows_admin_password",
            "min": 5,
            "max": 32,
            "default": "{{ controller_admin_password }}",
            "new_question": true,
        },
        {
            "question_name": "Instance Name",
            "question_description": "",
            "required": true,
            "type": "text",
            "variable": "instance_name",
            "min": 5,
            "max": 32,
            "default": "win-gcp",
            "choices": ""
        },
        {
            "question_name": "Additional network port",
            "question_description": "Add this port to security group",
            "max": 65535,
            "min": 1,
            "type": "integer",
            "choices": "",
            "default": "",
            "required": false,
            "variable": "instance_additional_port",
            "new_question": true
        },
        {
            "question_name": "GCP SSH public key",
            "question_description": "",
            "required": true,
            "type": "password",
            "variable": "gcp_key_pair",
            "min": 5,
            "max": 1024,
            "default": "{{ gcp_key_pair | default(omit) }}",
            "choices": ""
        }
    ]
}
